Bug 204287 - AIGLX does not work on Radeon 9200
AIGLX does not work on Radeon 9200
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-08-28 06:28 EDT by Adam Pribyl
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-ati-6.6.3-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-29 10:39:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.0.log, Radeon 9200, CRT CM772 monitor (56.12 KB, text/plain)
2006-08-28 06:28 EDT, Adam Pribyl
no flags Details
Xorg console output (6.31 KB, text/plain)
2006-08-28 06:30 EDT, Adam Pribyl
no flags Details
My Xorg.0.log after trying turning on metacity effects a few times (46.23 KB, text/plain)
2006-08-30 20:24 EDT, Lionel H.
no flags Details
Here's my xorg.0.log (57.04 KB, text/plain)
2006-09-25 17:22 EDT, Andrea V.
no flags Details

  None (edit)
Description Adam Pribyl 2006-08-28 06:28:36 EDT
Description of problem:
Using aiglx repository for FC5, installing modified Xorg and metacity and
enabling composition manager results in several time switching screen - 1. only
blue screen with shadows, 2. screen with usuall X content (windows, menus etc).
Windows decoration usually disappear.

Version-Release number of selected component (if applicable):

How reproducible:
allways, tested on more installations, 2 different Radeon 9200 cards

Steps to Reproduce:
Actual results:
blue screen with shadows switching with X screen

Expected results:
aiglx effects working

Additional info:
Using X from aiglx repository also results in that the card in combination with
20" LCD monitor with 1600x1200 is not able to find valid mode for this resolution.
Comment 1 Adam Pribyl 2006-08-28 06:28:36 EDT
Created attachment 135034 [details]
Xorg.0.log, Radeon 9200, CRT CM772 monitor
Comment 2 Adam Pribyl 2006-08-28 06:30:33 EDT
Created attachment 135035 [details]
Xorg console output

This is console output for the Xorg.0.log - for metacity problem diagnose.
Comment 3 Lionel H. 2006-08-30 20:22:09 EDT
I have exactly the same problem, also with a radeon 9200. I'm running FC5 with
the packages from the aiglx repo on a mac mini.
Comment 4 Lionel H. 2006-08-30 20:24:25 EDT
Created attachment 135252 [details]
My Xorg.0.log after trying turning on metacity effects a few times
Comment 5 Nikos Charonitakis 2006-09-19 10:08:34 EDT
same problem for me with radeon 9600xt
Comment 6 Andrea Santilli 2006-09-20 14:54:06 EDT
same problem here with a sapphire radeon 9000 (rv250 if)
Comment 7 Andrea Santilli 2006-09-20 14:55:48 EDT
moreover compiz crashes with a segfault
Comment 8 Andrea V. 2006-09-25 17:05:06 EDT
Similar problem here with a ATI radeon 9800SE (R350 chipset). When I turn on the
compositing manager with the command:

gconftool-2 -s '/apps/metacity/general/compositing_manager' --type bool true

the sistem hags and I have to cut-off electric power to reboot.
Comment 9 Andrea V. 2006-09-25 17:22:51 EDT
Created attachment 137094 [details]
Here's my xorg.0.log
Comment 10 scott anderson 2006-11-11 17:55:10 EST
AIGLX works on Radeon 9200 mobil with Stock Radeon drivers installed. Windows
switching and all effects work. However, support for 1280x800 resolution cuts
off right hand portion of screen. 
Comment 11 Andrea Santilli 2006-11-12 13:38:10 EST
here it works now on FC6
Comment 12 Adam Pribyl 2007-01-29 10:39:43 EST
Also works for me on FC6. Closing.

Note You need to log in before you can comment on or make changes to this bug.